package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "VALUEPAIR"
)
public class VALUEPAIR {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "COMMENTS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String comments;
   @XmlAttribute(
      name = "VALUE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String value;
   @XmlAttribute(
      name = "EXECORDER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String execorder;
   @XmlAttribute(
      name = "REVERSEASSIGNMENT"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String reverseassignment;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getCOMMENTS() {
      return this.comments;
   }

   public void setCOMMENTS(String value) {
      this.comments = value;
   }

   public String getVALUE() {
      return this.value;
   }

   public void setVALUE(String value) {
      this.value = value;
   }

   public String getEXECORDER() {
      return this.execorder;
   }

   public void setEXECORDER(String value) {
      this.execorder = value;
   }

   public String getREVERSEASSIGNMENT() {
      return this.reverseassignment;
   }

   public void setREVERSEASSIGNMENT(String value) {
      this.reverseassignment = value;
   }
}
